%global momorel 1

Summary:	Config-General module for perl 
Name:		perl-Config-General
Version:	2.40
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/Config/Config-General-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Config/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq:	perl >= 1:5.8.8
BuildArch:	noarch

%description
Config-General module for perl

%prep
%setup -q -n Config-General-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Config-General-%{version}-filelist
if [ "$(cat Config-General-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Config-General-%{version}-filelist
%defattr(-,root,root)
%doc README*

%changelog
* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.40-1m)
- update to 2.40

* Tue Jun 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.39-1m)
- update to 2.39

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.38-1m)
- update to 2.38

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.37-2m)
- rebuild against gcc43

* Sun Nov 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-1m)
- update to 2.37

* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.36-1m)
- update to 2.36

* Tue Oct 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.34-1m)
- update to 2.34

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.33-1m)
- update to 2.33

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.32-2m)
- use vendor

* Sun Feb 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.32-1m)
- update to 2.32

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.31-1m)
- spec file was autogenerated
